## Apache Zeta Components Manual :: Docs For Class ezcCacheMemoryVarStruct

### Cache::ezcCacheMemoryVarStruct

### Class ezcCacheMemoryVarStruct

Defines a memory var structure.

Source for this file: /Cache/src/structs/memory_var.php

    ezcBaseStruct
       |
       --ezcCacheMemoryVarStruct

Version: | //autogentag//

### Member Variables

public string | `$key` Holds the cache key.
public int | `$ttl` Holds the TTL value of the cache.
public mixed | `$var` Holds the data associated with the key.

### Method Summary

public ezcCacheMemoryVarStruct | `__construct( $key , $var , $ttl )` Constructs a new ezcCacheMemoryVarStruct object.

### Methods

#### __construct

ezcCacheMemoryVarStruct __construct( string $key , mixed $var , int $ttl )

Constructs a new ezcCacheMemoryVarStruct object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string |
`$var` | mixed |
`$ttl` | int |

Documentation generated by phpDocumentor 1.4.3